tcgetsid(3)

NAME
tcgetsid - get the process group ID for the session leader for the controlling terminal

SYNOPSIS
#include <termios.h>
pid_t
tcgetsid(int fildes);

DESCRIPTION
The tcgetsid() function obtains the process group ID of the session for which the terminal specified by fildes is the controlling terminal.

RETURN VALUES
Upon successful completion, tcgetsid() returns the process group ID associated with the terminal. Otherwise, a value of (pid_t)-1 is returned and errno is set to indicate the error.

ERRORS
The tcgetsid() function will fail if:

[EACCES]
    The fildes argument is not associated with a controlling terminal.

[EBADF]
    The fildes argument is not a valid file descriptor.

[ENOTTY]
    The file associated with fildes is not a terminal.

SEE ALSO
getsid(2), setpgid(2), setsid(2), tcgetpgrp(3), termios(4)

STANDARDS
The tcgetsid() function conforms to p1003.1-2001.